package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.BalanceDetailDTO;
import com.chelvc.cloud.vehicle.client.param.QueryMerchantBalanceParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient("vehicle")
public interface BalanceDetailClient {

    @GetMapping("/balanceDetail/queryByMerchantId")
    Pagination<BalanceDetailDTO> queryByMerchantId(QueryMerchantBalanceParam param, Integer pageNum,
                                                   Integer pageSize, Integer type);
}
