package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.client.param.HandRankAwardParam;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardRecordParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;

@FeignClient("vehicle")
public interface RankAwardRecordClient {

    Pagination<RankAwardRecordDTO> queryPageList(QueryRankAwardRecordParam param);

    void handOutPrize(HandRankAwardParam param);

    void cityAwardRank();

    void districtAwardRank();
}
