package com.chelvc.cloud.vehicle.client;


import com.chelvc.cloud.vehicle.client.dto.RegionDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient("vehicle")
public interface CommonClient {

    @GetMapping("/common/getRegionByPid")
    List<RegionDTO> getRegionByPid(Integer pid);
}
