package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.PlatformProfitRatioDTO;
import com.chelvc.cloud.vehicle.client.param.EditPlatformProfitRatioParam;
import com.chelvc.cloud.vehicle.client.param.QueryPlatformProfitRatioParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;

@FeignClient("vehicle")
public interface PlatformProfitRatioClient {

    void edit(EditPlatformProfitRatioParam param);

    Pagination<PlatformProfitRatioDTO> queryPageList(QueryPlatformProfitRatioParam param);
}
